Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How do you install a 2.4.18 kernel instead of 2.4,19
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
paulisdead
Guru
Guru


Joined: 10 Apr 2002
Posts: 510
Location: Seattle, WA

PostPosted: Wed Apr 24, 2002 8:36 am    Post subject: How do you install a 2.4.18 kernel instead of 2.4,19 Reply with quote

Is it possible to emerge either the 2.4.17 or 2.4.18 kernels during the install with Gentoo's patches on them? I'm having some problems with WineX and killing my root partition on my RAID array and someone over at transgaming said I should try a different kernel, I might have to ditch RAID altogether if this doesn't work.
Back to top
View user's profile Send private message
Malakin
Veteran
Veteran


Joined: 14 Apr 2002
Posts: 1692
Location: Victoria BC Canada

PostPosted: Wed Apr 24, 2002 10:49 am    Post subject: Reply with quote

2.4.18 is masked, with the comment "this kernel sucks". Which is funny considering all main distro are using it, but anyways...

you could try 2.4.17:
Code:

 emerge /usr/portage/sys-kernel/linux-sources/linux-sources-2.4.17-r5.ebuild


I'm not sure if this is the best way to do it but I found this by "cd /usr/portage" and "find | grep linux-sources" and it listed all the linux-sources packages available.
Back to top
View user's profile Send private message
rukhoven
n00b
n00b


Joined: 18 Apr 2002
Posts: 54
Location: The flat lands of nether elevation

PostPosted: Wed Apr 24, 2002 12:43 pm    Post subject: Reply with quote

An easy way to do it, is to delete or move any .ebuild of a kernel above 2.4.17-r5 from the /usr/portage/sys-kernel /linux-sources/..... dir

you can addistionallychange the entry defining which linux-headers to use in the /usr/portage/profiles/default-1.0/packages file to 2.4.17-r5
but that is not strictly nescessary i think.

Another way would be to type 'emerge =linux-sources-2.4.17-r5'
for it to specifically emerge that ebuild.

I also think the 2.4.17-r5 is very good, and perhaps still better than the latest available in Gentoo. It has a "pre-emptive" patch that seems to be good for desktop performance.
_________________
*****************************
AMDXp 2000 per sis745 con 60 GB HD
......Is what I'd like to have....... :)
Back to top
View user's profile Send private message
turki
n00b
n00b


Joined: 20 Apr 2002
Posts: 4

PostPosted: Wed Apr 24, 2002 12:47 pm    Post subject: 2.4.18 with 2.4.19 headers? ... Reply with quote

Don't make fun of me,

I think that somebody told me that this is a 2.4.18 kernel with a 2.4.19 kernel headers.




:)
Back to top
View user's profile Send private message
klieber
Administrator
Administrator


Joined: 17 Apr 2002
Posts: 3657
Location: San Francisco, CA

PostPosted: Wed Apr 24, 2002 2:23 pm    Post subject: Re: 2.4.18 with 2.4.19 headers? ... Reply with quote

turki wrote:
I think that somebody told me that this is a 2.4.18 kernel with a 2.4.19 kernel headers.


Not really. If you want all the nitty-gritty details of the troubles with 2.4.18, then check out this /. thread

The short version, however, is that there are differences between .18 and .19 besides just header files. :)

--kurt
_________________
The problem with political jokes is that they get elected
Back to top
View user's profile Send private message
paulisdead
Guru
Guru


Joined: 10 Apr 2002
Posts: 510
Location: Seattle, WA

PostPosted: Wed Apr 24, 2002 5:50 pm    Post subject: thanks Reply with quote

thanks, I'll give 2.4.17-r5 a shot. I do remember rc6 of Gentoo being pretty fast with it. But I think I'm just gonna have to do away with RAID for now, since I didn't have any problems until I switched to RAID. I still find it really, really weird that the array is stable until I start messing with WineX, but since I consider WineX to be one of the most important pieces of software I have for Linux, I guess I'll just have to do without RAID. Since this'll be the fourth install of Gentoo this month, I just want everything working and to put an end to this cycle of reinstalling it at least once a week.
Back to top
View user's profile Send private message
Safrax
Guru
Guru


Joined: 23 Apr 2002
Posts: 422

PostPosted: Wed Apr 24, 2002 11:16 pm    Post subject: Reply with quote

I want to try 2.4.17-r5 but I dont have an ebuild file for it. How do I go about getting 2.4.17-r5??
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum